program
funct checkInt( a, b : int; ) void
	begin
		println( a + " " + b );
		if a < b then
			println( "< true" );
		else
			println( "< false" );
		end
		if a <= b then
			println( "<= true" );
		else
			println( "<= false" );
		end
		if a > b then
			println( "> true" );
		else
			println( "> false" );
		end
		if a >= b then
			println( ">= true" );
		else
			println( ">= false" );
		end
		if a == b then
			println( "== true" );
		else
			println( "== false" );
		end
		if a <> b then
			println( "<> true" );
		else
			println( "<> false" );
		end
	end
funct checkReal( a, b : real; ) void
	begin
		println( a + " " + b );
		if a < b then
			println( "< true" );
		else
			println( "< false" );
		end
		if a <= b then
			println( "<= true" );
		else
			println( "<= false" );
		end
		if a > b then
			println( "> true" );
		else
			println( "> false" );
		end
		if a >= b then
			println( ">= true" );
		else
			println( ">= false" );
		end
		if a == b then
			println( "== true" );
		else
			println( "== false" );
		end
		if a <> b then
			println( "<> true" );
		else
			println( "<> false" );
		end
	end
funct checkInt1( a, b : int; ) void
	begin
		println( a + " < " + b + " = " + ( a < b ) );
		println( a + " <= " + b + " = " + ( a <= b ) );
		println( a + " > " + b + " = " + ( a > b ) );
		println( a + " >= " + b + " = " + ( a >= b ) );
		println( a + " == " + b + " = " + ( a == b ) );
		println( a + " <> " + b + " = " + ( a <> b ) );
	end
funct checkReal1( a, b : real; ) void
	begin
		println( a + " < " + b + " = " + ( a < b ) );
		println( a + " <= " + b + " = " + ( a <= b ) );
		println( a + " > " + b + " = " + ( a > b ) );
		println( a + " >= " + b + " = " + ( a >= b ) );
		println( a + " == " + b + " = " + ( a == b ) );
		println( a + " <> " + b + " = " + ( a <> b ) );
	end
begin
	checkInt( 1, 2 );
	checkInt( 2, 1 );
	checkInt( 1, 1 );
	checkReal( 1.0, 2.0 );
	checkReal( 2.0, 1.0 );
	checkReal( 1.0, 1.0 );
	checkInt1( 1, 2 );
	checkInt1( 2, 1 );
	checkInt1( 1, 1 );
	checkReal1( 1.0, 2.0 );
	checkReal1( 2.0, 1.0 );
	checkReal1( 1.0, 1.0 );
end.
